Index: /branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh	(revision 592)
@@ -61,4 +61,5 @@
 
   #==================================
+  # Read UserChoices section: 
   IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card UserChoices
 
@@ -88,5 +89,21 @@
 
   #==================================
-
+  # Read Post section: 
+  IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card Post
+  echo
+  IGCM_debug_Print 1 "DefineArrayFromOption : config_Post"
+
+  for option in ${config_Post[*]} ; do
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Post ${option}
+    eval auxprint=\${config_Post_${option}}
+    IGCM_debug_Print 3 "${option} : ${auxprint}"
+  done
+
+  #==================================
+  # Define default value to keep compatibility with previous card: means before changes due to TGCC 
+  [ X${config_Post_PackFrequency} = X ] && config_Post_PackFrequency=${config_Post_RebuildFrequency}
+
+  #==================================
+  # Read ListOfComponents section: 
   IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card ListOfComponents
   for comp in ${config_ListOfComponents[*]} ; do
@@ -189,8 +206,10 @@
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
   else
     R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
     R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
@@ -218,21 +237,4 @@
     fi
   fi
-
-  #==================================
-  # Read Post section: 
-  IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card Post
-
-  echo
-  IGCM_debug_Print 1 "DefineArrayFromOption : config_Post"
-
-  for option in ${config_Post[*]} ; do
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Post ${option}
-    eval auxprint=\${config_Post_${option}}
-    IGCM_debug_Print 3 "${option} : ${auxprint}"
-  done
-
-  #==================================
-  # Define default value to keep compatibility with previous card: means before changes due to TGCC 
-  [ X${config_Post_PackFrequency} = X ] && config_Post_PackFrequency=${config_Post_RebuildFrequency}
 
   #====================================================
Index: /branches/libIGCM_MPI_OpenMP/libIGCM_date/libIGCM_date.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_date/libIGCM_date.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_date/libIGCM_date.ksh	(revision 592)
@@ -944,4 +944,54 @@
 }
 
+#D-#==================================================================
+#D-function IGCM_date_DaysInCurrentPeriod ()
+#D-* Purpose: Give the numbers of days during the Current prd1 period from grg1 date 
+#D-* Usage: IGCM_date_DaysInCurrentPeriod grg1 prd1
+#D-         where grg1 gregorian date is in the form yyyymmdd
+#D-         where prd1 period is in the form N[Yy], N[Mm], N[Dd]. N integer
+#D-
+function IGCM_date_DaysInCurrentPeriod {
+  IGCM_debug_PushStack "IGCM_date_DaysInCurrentPeriod" $@
+  typeset Length Period
+  Period=${2}
+  case ${Period} in
+  *Y|*y) 
+    PeriodLengthInYears=$( echo ${Period} | awk -F '[yY]' '{print $1}' )
+    IGCM_date_GetYearMonth ${1} year month
+    year=$( IGCM_date_SupressZeros ${year} )
+    (( Length=0 ))
+    (( i=0 ))
+    until [ $i -ge $PeriodLengthInYears ] ; do
+      (( Length = Length + $( IGCM_date_DaysInYear $(( year + i )) ) )) 
+      (( i=i+1 ))
+    done
+    ;;
+  *M|*m) 
+    PeriodLengthInMonths=$( echo ${Period} | awk -F '[mM]' '{print $1}' )
+    IGCM_date_GetYearMonth ${1} year month
+    year=$( IGCM_date_SupressZeros ${year} )
+    (( year0 = year ))
+    (( Length=0 ))
+    (( i=0 ))
+    until [ $i -ge $PeriodLengthInMonths ] ; do
+      if [ $(( month + i )) -lt 13 ] ; then
+	(( Length = Length + $( IGCM_date_DaysInMonth $year $(( month + i )) ) ))
+      else
+	(( year = year0 + 1 ))
+	(( Length = Length + $( IGCM_date_DaysInMonth $year $(( month + i - 12 )) ) ))
+      fi
+      (( i=i+1 ))
+    done
+    ;;
+  *D|*d)
+    Length=$( echo ${Period} | sed -e "s/[dD]//" ) ;;
+  *)
+    IGCM_debug_Exit "IGCM_date_DaysInCurrentPeriod " ${Period} " invalid PeriodLength : choose in *Y, *M, *D."
+    IGCM_debug_Verif_Exit_Post ;;
+  esac
+  echo ${Length}
+
+  IGCM_debug_PopStack "IGCM_date_DaysInCurrentPeriod"
+}
 
 #D-#==================================================================
Index: /branches/libIGCM_MPI_OpenMP/libIGCM_post/IGCM_Patch_20091118_mask.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_post/IGCM_Patch_20091118_mask.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_post/IGCM_Patch_20091118_mask.ksh	(revision 592)
@@ -20,5 +20,16 @@
     IGCM_debug_PushStack "IGCM_Patch_mask" $@
 
-    [ -f ${config_UserChoices_JobName}_mesh_mask.nc ] || IGCM_sys_Get ${R_SAVE}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc .
+    if [ ! -f ${config_UserChoices_JobName}_mesh_mask.nc ] ; then
+      if [ -f ${R_BUFR}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc ] ; then
+	IGCM_sys_GetBuffer ${R_BUFR}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc .
+      elif [ -f ${R_SAVE}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc ] ; then
+	IGCM_sys_Get ${R_SAVE}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc .
+      else
+	IGCM_debug_Exit "mesh_mask can not be found. Stop."
+	IGCM_debug_Exit "neither here ${R_SAVE}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc"
+	IGCM_debug_Exit "nor here ${R_BUFR}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc"
+	IGCM_debug_Verif_Exit_Post
+      fi
+    fi
 
     filename=${1}
Index: /branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 592)
@@ -248,5 +248,5 @@
 	  [ $(( ( ${YearEnd} - ${YearBegin} + 1 ) % ${YearsChunckLength} )) = 0 ] && NbYearsChunckLoop=$(( ${NbYearsChunckLoop} - 1 ))
 	  # Starting Year of the current chunck
-	  ChunckTsYearBegin=$(( ${NbYearsChunckLoop} *  ${YearsChunckLength} + ${YearBegin} ))
+	  ChunckTsYearBegin=$(( ${NbYearsChunckLoop} * ${YearsChunckLength} + ${YearBegin} ))
 	  # Starting date of the current chunck
 	  ChunckTsDateBegin=${ChunckTsYearBegin}${MonthBegin}01
@@ -415,4 +415,130 @@
   fi
 
+  #============== PACK PROCESSING FOR RESTART AND DEBUG FILES =============#
+  if [ ${PackFrequency} = true ] ; then
+    IGCM_debug_Print 1 "PACK POST-PROCESSING"
+    echo
+    ## Need to Remember This One
+    SavedDateBegin=${DateBegin}
+    ## Need to Remember This One
+    SavedDateEnd=${DateEnd}
+    #
+    DaysTemp=$(( $( IGCM_date_DaysInPreviousPeriod ${PeriodDateEnd} ${config_Post_PackFrequency} end ) - 1 ))
+    #
+    PackDateBegin=$( IGCM_date_AddDaysToGregorianDate ${PeriodDateEnd} -${DaysTemp} )
+    #
+    script=pack_debug
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
+    IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+    #
+    script=pack_restart
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+    #
+    script=pack_output
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    if [ ${RebuildFrequency} = true ] ; then
+      #
+      if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
+	#
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+	echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export DateBegin=${PackDateBegin}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export DateEnd=${PeriodDateEnd}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export PeriodPack=${config_Post_PackFrequency} " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export script=${script}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	  echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+	echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "IGCM_sys_QsubPost ${script}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+      fi
+    else
+      IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+    export DateBegin=${SavedDateBegin}
+    export DateEnd=${SavedDateEnd}
+    fi
+  fi
+
   #============== REBUILD POST-PROCESSING =============#
   if [ X${AsynchronousRebuild} = Xtrue ] ; then
@@ -476,72 +602,4 @@
     IGCM_sys_QsubPost ${script}
 EOF
-  fi
-
-  #============== PACK PROCESSING FOR RESTART AND DEBUG FILES =============#
-  if [ ${PackFrequency} = true ] ; then
-    IGCM_debug_Print 1 "PACK POST-PROCESSING"
-    echo
-    ## Need to Remember This One
-    SavedDateBegin=${DateBegin}
-    ## Need to Remember This One
-    SavedDateEnd=${DateEnd}
-    #
-    DaysTemp=$(( $( IGCM_date_DaysInPreviousPeriod ${PeriodDateEnd} ${config_Post_PackFrequency} end ) - 1 ))
-    #
-    PackDateBegin=$( IGCM_date_AddDaysToGregorianDate ${PeriodDateEnd} -${DaysTemp} )
-    #
-    script=pack_debug
-    #
-    Script_Post_Output=${script}.${PeriodDateEnd}
-    #
-    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
-    IGCM_sys_RshPost <<-EOF
-    export DEBUG_debug=${DEBUG_debug}
-    export MODIPSL=${MODIPSL}
-    export libIGCM_SX=${libIGCM}
-    export libIGCM=${libIGCM_POST}
-    export SUBMIT_DIR=${SUBMIT_DIR}
-    export POST_DIR=${POST_DIR}
-    export MASTER=${MASTER}
-    export DateBegin=${PackDateBegin}
-    export DateEnd=${PeriodDateEnd}
-    export PeriodPack=${config_Post_PackFrequency}
-    export StandAlone=false
-    export listVarEnv=${listVarEnv}
-    export Script_Post_Output=${Script_Post_Output}
-    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-    IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
-    IGCM_sys_QsubPost ${script}
-EOF
-    #
-    script=pack_restart
-    #
-    Script_Post_Output=${script}.${PeriodDateEnd}
-    #
-    IGCM_sys_RshPost <<-EOF
-    export DEBUG_debug=${DEBUG_debug}
-    export MODIPSL=${MODIPSL}
-    export libIGCM_SX=${libIGCM}
-    export libIGCM=${libIGCM_POST}
-    export SUBMIT_DIR=${SUBMIT_DIR}
-    export POST_DIR=${POST_DIR}
-    export MASTER=${MASTER}
-    export DateBegin=${PackDateBegin}
-    export DateEnd=${PeriodDateEnd}
-    export PeriodPack=${config_Post_PackFrequency}
-    export StandAlone=false
-    export listVarEnv=${listVarEnv}
-    export Script_Post_Output=${Script_Post_Output}
-    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-    IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
-    IGCM_sys_QsubPost ${script}
-EOF
-
-    export DateBegin=${SavedDateBegin}
-    export DateEnd=${SavedDateEnd}
   fi
   IGCM_debug_PopStack "IGCM_post_Submit"
@@ -610,5 +668,5 @@
   *M|*m)
     PeriodMasterMonth=$( echo ${MasterFrequency} | sed -e "s/[mM]//" )
-    case ${SlaveFrequency} in		    
+    case ${SlaveFrequency} in
     *Y|*y)
       PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
Index: /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 592)
@@ -112,6 +112,11 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
+
+#====================================================
 
 #====================================================
@@ -123,4 +128,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -895,5 +904,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1066,5 +1075,6 @@
     if [ -f $2 ] ; then
       IGCM_debug_Print 1 "$2 already exist"
-      dmget $2
+      #dmget $2
+      ccc_hsm get $2
       exist=true
       if [ "X$( diff $1 $2 )" = X ] ; then
@@ -1161,5 +1171,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1174,5 +1185,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
@@ -1315,10 +1327,12 @@
   RET=0
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
-      echo "Nothing has been done."
-      return
-    fi
-    dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+
+#    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
+#      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
+#      echo "Nothing has been done."
+#      return
+#    fi
+
+    /ccc/cont003/home/dsm/p86maf/bin/dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
     RET=$?
     
@@ -1348,12 +1362,13 @@
   typeset RET
   RET=0
-  if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
-      echo "Nothing has been done."
-      return
-    fi
-    #
-    dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+
+#  if [ $DRYRUN = 0 ]; then
+#    if [ ! -d ${R_SAVE}/${1} ] ; then
+#      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
+#      echo "Nothing has been done."
+#      return
+#    fi
+
+    /ccc/cont003/home/dsm/p86maf/bin/dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
     RET=$?
 
@@ -1382,14 +1397,29 @@
     echo "IGCM_sys_Put_Dods :" $@
   fi
+  typeset RET
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
+
+    if ( [ ! -d ${R_SAVE}/${1} ] && [ ! -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : None of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} DOES NOT EXIST."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} DOES NOT EXIST."
       IGCM_debug_PopStack "IGCM_sys_Put_Dods"
       return
     fi
 
-    typeset RET
-	#
-    cd ${R_SAVE}
+    if ( [ -d ${R_SAVE}/${1} ] && [ -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : Both of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} EXISTS."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} EXISTS."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dods"
+      return
+    fi
+    #
+    if [ -d ${R_SAVE}/${1} ] ; then
+      cd ${R_SAVE}
+    elif [ -d ${R_FIGR}/${1} ] ; then
+      cd ${R_FIGR}
+    fi
+
     IGCM_sys_Dods_Rm ${1}
     IGCM_sys_Dods_Cp ${1}
Index: /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 592)
@@ -102,6 +102,9 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
 
 #====================================================
@@ -113,4 +116,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -532,5 +539,5 @@
     echo "IGCM_sys_QsubPost :" $@
   fi
-  /usr/bin/nqsII/qsub -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
+  /usr/bin/nqsII/qsub -q scalaire -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
   if [ $? -gt 0 ] ; then
     echo "IGCM_sys_QsubPost : erreur " $@
@@ -833,5 +840,6 @@
     #USUAL WAY
     # add dmget (to demigrate all offline files) to reduce time of this command :
-    dmget $1/*
+    #dmget $1/*
+    ccc_hsm get $1/*
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1027,5 +1035,6 @@
     if [ -f $2 ] ; then
       IGCM_debug_Print 1 "$2 already exist"
-      dmget $2
+      #dmget $2
+      ccc_hsm get $2
       exist=true
       if [ "X$( diff $1 $2 )" = X ] ; then
@@ -1166,5 +1175,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1180,5 +1190,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
@@ -1321,10 +1332,12 @@
   RET=0
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
-      echo "Nothing has been done."
-      return
-    fi
-    dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+
+#    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
+#      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
+#      echo "Nothing has been done."
+#      return
+#    fi
+
+    /ccc/cont003/home/dsm/p86maf/bin/dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
     RET=$?
     
@@ -1355,11 +1368,12 @@
   RET=0
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
-      echo "Nothing has been done."
-      return
-    fi
-    #
-    dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+
+#    if [ ! -d ${R_SAVE}/${1} ] ; then
+#      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
+#      echo "Nothing has been done."
+#      return
+#    fi
+
+    /ccc/cont003/home/dsm/p86maf/bin/dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
     RET=$?
 
@@ -1388,14 +1402,28 @@
     echo "IGCM_sys_Put_Dods :" $@
   fi
+  typeset RET
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
+    if ( [ ! -d ${R_SAVE}/${1} ] && [ ! -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : None of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} DOES NOT EXIST."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} DOES NOT EXIST."
       IGCM_debug_PopStack "IGCM_sys_Put_Dods"
       return
     fi
 
-    typeset RET
-	#
-    cd ${R_SAVE}
+    if ( [ -d ${R_SAVE}/${1} ] && [ -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : Both of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} EXISTS."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} EXISTS."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dods"
+      return
+    fi
+    #
+    if [ -d ${R_SAVE}/${1} ] ; then
+      cd ${R_SAVE}
+    elif [ -d ${R_FIGR}/${1} ] ; then
+      cd ${R_FIGR}
+    fi
+
     IGCM_sys_Dods_Rm ${1}
     IGCM_sys_Dods_Cp ${1}
Index: /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercurex8.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 592)
@@ -89,4 +89,34 @@
 #====================================================
 
+# ============ CESIUM START ============ #
+
+#====================================================
+#- Mirror libIGCM from mercure to cesium if needed
+#ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $3}' )
+#if [ ! ${ROOTSYS} = "home" ] ; then
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
+#else
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+#fi
+
+#====================================================
+#- libIGCM_POST
+#if ( ${MirrorlibIGCM} ) ; then
+#  PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+#  typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
+#else
+#  typeset -r libIGCM_POST=${libIGCM}
+#fi
+
+# ============ CESIUM  END  ============ #
+
+#====================================================
+#- MirrorlibIGCM uncomment for frontend
+typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+
+#====================================================
+#- libIGCM_POST uncomment for frontend
+typeset -r libIGCM_POST=${libIGCM}
+
 #====================================================
 #- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
@@ -98,36 +128,9 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
-
-# ============ CESIUM START ============ #
-
-#====================================================
-#- Mirror libIGCM from mercure to cesium if needed
-#ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $2}' )
-#if [ ! ${ROOTSYS} = "home" ] ; then
-#    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
-#else
-#    typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-#fi
-
-#====================================================
-#- libIGCM_POST
-#if ( ${MirrorlibIGCM} ) ; then
-#    PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
-#    typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
-#else
-#    typeset -r libIGCM_POST=${libIGCM}
-#fi
-
-# ============ CESIUM  END  ============ #
-
-#====================================================
-#- Mirror libIGCM from mercure to cesium if needed
-typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-
-#====================================================
-#- libIGCM_POST
-typeset -r libIGCM_POST=${libIGCM}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
 
 #====================================================
@@ -139,4 +142,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -271,15 +278,4 @@
     status=completed
   fi
-
-  ssh ${MASTER} /bin/ksh <<-EOF
-  export LOGIN=${LOGIN}
-  export config_UserChoices_JobName=${config_UserChoices_JobName}
-  export config_UserChoices_MailName=${config_UserChoices_MailName}
-  export DateBegin=${DateBegin}
-  export DateEnd=${DateEnd}
-  export R_SAVE=${R_SAVE}
-  export SUBMIT_DIR=${SUBMIT_DIR}
-  export status=${status}
-
   cat  << END_MAIL > job_end.mail
   Dear ${LOGIN},
@@ -296,9 +292,7 @@
   elif [ -f ~/.forward ] ; then
     mailx -s "${config_UserChoices_JobName} ${status}" $( cat ~/.forward ) < job_end.mail
-  fi
-
-  sleep 10
-  rm -f job_end.mail
-EOF
+  else
+    mailx -s "${config_UserChoices_JobName} ${status}" ${LOGIN} < job_end.mail
+  fi
 
   if [ $? -gt 0 ] ; then
@@ -627,10 +621,9 @@
 # ============ FRONTEND START ============ #
 
-  /usr/bin/nqsII/qsub -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
+  /usr/bin/nqsII/qsub -q scalaire -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
 
 # ============ FRONTEND  END  ============ #
 
 # ============ CESIUM START ============ #
-
 #  typeset NB_ESSAI DELAI status i
 #  # number of tentative
@@ -649,5 +642,4 @@
 #    (( i = i + 1 ))
 #  done 
-
 # ============ CESIUM  END  ============ #
 
@@ -956,5 +948,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1233,5 +1225,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1247,5 +1240,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
